#ifndef READ_UTIL_H
#define READ_UTIL_H 1

#include "xml_expat.h"


const char* xoxa_version_string(void);

#ifdef XOXA_PRIVATE_INTERFACE

void fatal(const char* fmt, ...);
void set_error_message(ParserState*, const char* fmt, ...);
int isxmlspace(const byte* p);

byte* copystring(const byte* s);

Buf* bufinit(void);
Buf* bufprintf(Buf* B, const char* fmt, ...);
Buf* bufchar(Buf* B, byte c);
Buf* bufstrcpy(Buf* dst, const byte* src);
Buf* bufstrncpy(Buf* dst, const size_t len, const byte* src);
Buf* bufcrop(Buf* B);
byte* bufstring(Buf* B);
byte* bufstring_copy(Buf* B);
void bufreset(Buf* B);
size_t buflength(Buf*);
void buffree(Buf*);

int bufstrcmp(const byte* b1, const byte* b2);

#endif /* XOXA_PRIVATE_INTERFACE */

#endif /* READ_UTIL_H */
