#ifndef XOXA_EXPAT_H_DEFINED
#define XOXA_EXPAT_H_DEFINED 1
#include <expat.h>
#include "xml_expat.h"
/** The Xoxa analogue of the Expat XML_Parser type. */
typedef ParserState* Xoxa_Parser;
Xoxa_Parser Xoxa_ParserCreate(const XML_Char *encoding);
Xoxa_Parser Xoxa_ParserCreateNS(const XML_Char *encoding, XML_Char namespaceSeparator);
Xoxa_Parser Xoxa_ParserCreate_MM(const XML_Char *encoding, const XML_Memory_Handling_Suite *memsuite, const XML_Char *namespaceSeparator);
const XML_LChar * Xoxa_ErrorString(enum XML_Error code);
const XML_LChar * Xoxa_ExpatVersion(void);
XML_Expat_Version Xoxa_ExpatVersionInfo(void);
const XML_Feature * Xoxa_GetFeatureList(void);
void Xoxa_SetXmlDeclHandler(Xoxa_Parser xp, XML_XmlDeclHandler arg);
void Xoxa_SetStartElementHandler(Xoxa_Parser xp, XML_StartElementHandler arg);
void Xoxa_SetEndElementHandler(Xoxa_Parser xp, XML_EndElementHandler arg);
void Xoxa_SetElementHandler(Xoxa_Parser xp, XML_StartElementHandler arg2, XML_EndElementHandler arg1);
void Xoxa_SetStartCdataSectionHandler(Xoxa_Parser xp, XML_StartCdataSectionHandler arg);
void Xoxa_SetEndCdataSectionHandler(Xoxa_Parser xp, XML_EndCdataSectionHandler arg);
void Xoxa_SetStartNamespaceDeclHandler(Xoxa_Parser xp, XML_StartNamespaceDeclHandler arg);
void Xoxa_SetEndNamespaceDeclHandler(Xoxa_Parser xp, XML_EndNamespaceDeclHandler arg);
void Xoxa_SetNamespaceDeclHandler(Xoxa_Parser xp, XML_StartNamespaceDeclHandler arg2, XML_EndNamespaceDeclHandler arg1);
void Xoxa_SetCharacterDataHandler(Xoxa_Parser xp, XML_CharacterDataHandler arg);
void Xoxa_SetProcessingInstructionHandler(Xoxa_Parser xp, XML_ProcessingInstructionHandler arg);
void Xoxa_SetExternalEntityRefHandler(XML_Parser parser, XML_ExternalEntityRefHandler handler);
void Xoxa_SetExternalEntityRefHandlerArg(Xoxa_Parser xp, void* arg1);
void Xoxa_SetSkippedEntityHandler(Xoxa_Parser xp, XML_SkippedEntityHandler arg);
void Xoxa_SetCommentHandler(Xoxa_Parser xp, XML_CommentHandler arg1);
void Xoxa_SetDefaultHandler(Xoxa_Parser xp, XML_DefaultHandler arg1);
void Xoxa_SetDefaultHandlerExpand(Xoxa_Parser xp, XML_DefaultHandler arg1);
XML_Bool Xoxa_ParserReset(Xoxa_Parser xp, const XML_Char* arg1);
void Xoxa_SetEntityDeclHandler(Xoxa_Parser xp, XML_EntityDeclHandler arg1);
void Xoxa_SetElementDeclHandler(Xoxa_Parser xp, XML_ElementDeclHandler arg1);
void Xoxa_SetAttlistDeclHandler(Xoxa_Parser xp, XML_AttlistDeclHandler arg1);
void Xoxa_SetDoctypeDeclHandler(Xoxa_Parser xp, XML_StartDoctypeDeclHandler arg2, XML_EndDoctypeDeclHandler arg1);
void Xoxa_SetStartDoctypeDeclHandler(Xoxa_Parser xp, XML_StartDoctypeDeclHandler arg1);
void Xoxa_SetEndDoctypeDeclHandler(Xoxa_Parser xp, XML_EndDoctypeDeclHandler arg1);
void Xoxa_SetUnparsedEntityDeclHandler(Xoxa_Parser xp, XML_UnparsedEntityDeclHandler arg1);
void Xoxa_SetNotationDeclHandler(Xoxa_Parser xp, XML_NotationDeclHandler arg1);
void Xoxa_SetNotStandaloneHandler(Xoxa_Parser xp, XML_NotStandaloneHandler arg1);
void Xoxa_SetUnknownEncodingHandler(Xoxa_Parser xp, XML_UnknownEncodingHandler arg2, void * arg1);
void Xoxa_DefaultCurrent(Xoxa_Parser xp);
void Xoxa_SetReturnNSTriplet(Xoxa_Parser xp, int arg1);
void Xoxa_SetUserData(Xoxa_Parser xp, void * arg1);
enum XML_Status Xoxa_SetEncoding(Xoxa_Parser xp, const XML_Char * arg1);
void Xoxa_UseParserAsHandlerArg(Xoxa_Parser xp);
enum XML_Error Xoxa_UseForeignDTD(Xoxa_Parser xp, XML_Bool arg1);
enum XML_Status Xoxa_SetBase(Xoxa_Parser xp, const XML_Char * arg1);
const XML_Char * Xoxa_GetBase(Xoxa_Parser xp);
int Xoxa_GetSpecifiedAttributeCount(Xoxa_Parser xp);
int Xoxa_GetIdAttributeIndex(Xoxa_Parser xp);
enum XML_Status Xoxa_Parse(Xoxa_Parser xp, const char * arg3, int arg2, int arg1);
void * Xoxa_GetBuffer(Xoxa_Parser xp, int arg1);
enum XML_Status Xoxa_ParseBuffer(Xoxa_Parser xp, int arg2, int arg1);
enum XML_Status Xoxa_StopParser(Xoxa_Parser xp, XML_Bool arg1);
enum XML_Status Xoxa_ResumeParser(Xoxa_Parser xp);
void Xoxa_GetParsingStatus(Xoxa_Parser xp, XML_ParsingStatus * arg1);
XML_Parser Xoxa_ExternalEntityParserCreate(Xoxa_Parser xp, const XML_Char * arg2, const XML_Char * arg1);
int Xoxa_SetParamEntityParsing(Xoxa_Parser xp, enum XML_ParamEntityParsing arg1);
enum XML_Error Xoxa_GetErrorCode(Xoxa_Parser xp);
XML_Size Xoxa_GetCurrentLineNumber(Xoxa_Parser xp);
XML_Size Xoxa_GetCurrentColumnNumber(Xoxa_Parser xp);
XML_Index Xoxa_GetCurrentByteIndex(Xoxa_Parser xp);
int Xoxa_GetCurrentByteCount(Xoxa_Parser xp);
const char * Xoxa_GetInputContext(Xoxa_Parser xp, int * arg2, int * arg1);
void Xoxa_FreeContentModel(Xoxa_Parser xp, XML_Content * arg1);
void * Xoxa_MemMalloc(Xoxa_Parser xp, size_t arg1);
void * Xoxa_MemRealloc(Xoxa_Parser xp, void * arg2, size_t arg1);
void Xoxa_MemFree(Xoxa_Parser xp, void * arg1);
void Xoxa_ParserFree(Xoxa_Parser xp);
#endif /* XOXA_EXPAT_H_DEFINED */
